Bug 121907 - Exception with firewall disabled
Summary: Exception with firewall disabled
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
: 121791 122176 122311 122374 122611 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-29 00:33 UTC by Ricardo Ariel Gorosito
Modified: 2007-11-30 22:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 16:38:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump (37.81 KB, text/plain)
2004-04-29 00:34 UTC, Ricardo Ariel Gorosito
no flags Details

Description Ricardo Ariel Gorosito 2004-04-29 00:33:45 UTC
Description of problem:
Installer die when Fw is disabled:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 759, in nextClicked
    rc = self.currentWindow.getNext ()
  File "/usr/lib/anaconda/iw/firewall_gui.py", line 32, in getNext
    self.security.setSELinux(self.se_option_menu.get_history())
  File "/usr/lib/anaconda/security.py", line 39, in setSELinux
    raise ValueError, "Setting to invalid SELinux state: %s" %(val,)
ValueError: Setting to invalid SELinux state: -1
 
Local variables in innermost frame:
self: <security.Security instance at 0xb7d8c0cc>
val: -1
 
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to install FC2T3 in my machine without fw enabled :-)
    

Actual Results:  Installer abort

Expected Results:  Installer install

Additional info:

I'll attach full anacdump.txt

Comment 1 Ricardo Ariel Gorosito 2004-04-29 00:34:44 UTC
Created attachment 99761 [details]
Anaconda Dump

Comment 2 Jeremy Katz 2004-04-29 02:10:17 UTC
Worked around in CVS, although I haven't actually reproduced it here.

Comment 3 Miloslav Trmac 2004-05-01 15:19:33 UTC
*** Bug 122176 has been marked as a duplicate of this bug. ***

Comment 4 Jeremy Katz 2004-05-03 18:45:38 UTC
*** Bug 122311 has been marked as a duplicate of this bug. ***

Comment 5 Miloslav Trmac 2004-05-04 11:39:15 UTC
*** Bug 122374 has been marked as a duplicate of this bug. ***

Comment 6 Miloslav Trmac 2004-05-04 11:39:41 UTC
*** Bug 121791 has been marked as a duplicate of this bug. ***

Comment 7 Ken Roser 2004-05-04 13:46:15 UTC
Could someone elaborate on this problem and describe why it affects
some systems and not others?

I'd like to know how to configure my system to work around this bug.

Comment 8 Ken Roser 2004-05-06 04:03:47 UTC
The only workaround I found was to do a text install instead of GUI.

Comment 9 Jeremy Katz 2004-05-06 18:35:21 UTC
*** Bug 122611 has been marked as a duplicate of this bug. ***

Comment 10 Matt Rogers 2004-05-10 03:58:02 UTC
I'm seeing this as well on a Dell Latitude C800 laptop with the same 
stacktrace. 

Comment 11 Rahul Sundaram 2005-08-15 16:12:06 UTC
Jeremy,

Do you have information on the status on this one?


Note You need to log in before you can comment on or make changes to this bug.